package de.ivu.elect.interfaces.core;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Direktkandidatur extends Kandidatur {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private WahlvorschlagReferenz direktkandidat;

  public WahlvorschlagReferenz getDirektkandidat() {
    return direktkandidat;
  }

  public void setDirektkandidat(WahlvorschlagReferenz direktkandidat) {
    this.direktkandidat = direktkandidat;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (o == null || getClass() != o.getClass()) return false;

    Direktkandidatur that = (Direktkandidatur) o;

    return direktkandidat.equals(that.direktkandidat);

  }

  @Override
  public int hashCode() {
    return direktkandidat.hashCode();
  }
}
